Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Interface SAXSource

All Superinterfaces:
  FilterSource, RegistryContext

All Known Implementing Classes:
  FunctionFilter, GraphXMLSource, LazyFilter, NullSource, SAXFilterBase, SAXSourceBase, StreamAdapter, XSLTFilter

    public interface SAXSource

extends FilterSource

This subinterface of `FilterSource` has to be implemented by filter sources whose flavor supports SAX events (`IOFlavor.SAX`). It represents the data as a stream of SAX events.

Author:
  Ole Kniemeyer

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Field Summary
`static java.lang.String` | `NAMESPACE_PREFIXES`
`static java.lang.String` | `NAMESPACES`

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Method Summary
`boolean` | `getFeature(java.lang.String name)`
`void` | `parse(org.xml.sax.ContentHandler ch, org.xml.sax.ErrorHandler eh, org.xml.sax.ext.LexicalHandler lh, org.xml.sax.DTDHandler dh, org.xml.sax.EntityResolver er)`
`void` | `setFeature(java.lang.String name, boolean value)`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, getSystemId, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Field Detail

### NAMESPACE_PREFIXES

    static final java.lang.String NAMESPACE_PREFIXES

See Also:
  Constant Field Values

### NAMESPACES

    static final java.lang.String NAMESPACES

See Also:
  Constant Field Values

Method Detail

### getFeature

    boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### parse

    void parse(org.xml.sax.ContentHandler ch,
               org.xml.sax.ErrorHandler eh,
               org.xml.sax.ext.LexicalHandler lh,
               org.xml.sax.DTDHandler dh,
               org.xml.sax.EntityResolver er)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### setFeature

    void setFeature(java.lang.String name,
                    boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD